Bug 114751 - Preferred font order for Japanese locale
Summary: Preferred font order for Japanese locale
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.4.0
Keywords:
Depends on:
Blocks: CJK-Japanese Fonts-Locale
  Show dependency treegraph
 
Reported: 2017-12-29 13:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-08-20 16:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-29 13:28:33 UTC
So the preferred font order in the VCL.xcu[1] file for japanese unfortunately

1. lists proprietary fonts before open source fonts
2. too many fonts are listed in each entry
3. OS X proprietary fonts arent listed
4. latin font settings arent useful

List of open source and proprietary fonts on linux, windows and mac can be found here[2] that can be chosen from. I stumbled on this japanese link[3] about adjusting the default fonts.

[1] https://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/VCL.xcu#215

[2] https://docs.google.com/spreadsheets/d/1syemK75H5NvxyzxWRmxaTCPDuv0pfZc8_yS0VCk-VYI/edit#gid=1045430026

[3] https://phanective.wordpress.com/2009/07/05/openoffice-org-のデフォルトフォントを変更する/
Comment 1 Yousuf Philips (jay) (retired) 2017-12-29 14:30:50 UTC
The first task is to decide the order of open source fonts that will be used for sans/gothic. The current order used in calc and impress is - IPA P Gothic, UmePlus P Gothic, Kochi Gothic.

The second task is to decide whether a sans/gothic or serif/mincho styled font should be used for headings and body text in writer. For headings, currently a sans/gothic styled font is used with the following order - IPA Gothic, IPA P Gothic, Kochi Gothic, Sazanami Gothic, UmePlus Gothic, UmePlus P Gothic. For body text, currently sans/gothic style font is preferred over a serif/mincho styled font with the following orde - UmePlus Gothic, UmePlus P Gothic, IPA Mincho, IPA P Mincho, Kochi Mincho, Sazanami Mincho.

With input from others in the cjk team, i believe that Noto Sans Japanese, Noto Serif Japanese, Takao Gothic, and Takao Mincho should be found in these lists.
Comment 2 Yousuf Philips (jay) (retired) 2017-12-29 15:07:15 UTC
The third task is to order/add the proprietary fonts for windows and mac osx based on their usage in documents created on these platforms, so it would be useful to get the default japanese fonts used in MSO on windows and mac, as well as iwork. A maximum of 2 proprietary fonts per platform should be found in the list, preferably fonts that come pre-installed with the platform.
Comment 3 Yousuf Philips (jay) (retired) 2017-12-30 10:31:33 UTC
The UI_SANS fallback fonts found in code[1][2] would also need to be adjusted.

[1] https://opengrok.libreoffice.org/xref/core/unotools/source/config/fontcfg.cxx#250

[2] https://opengrok.libreoffice.org/xref/core/unotools/source/config/fontcfg.cxx#293
Comment 4 Yousuf Philips (jay) (retired) 2018-01-06 23:08:58 UTC
Naruhiko posted this on twitter for community input
https://twitter.com/naru0ga/status/947366382118641664
Comment 5 Commit Notification 2018-03-14 08:38:53 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bba299d8146a07af6833620784ac5b697b0f7e84

tdf#114751 Update the default UI fonts for Japanese locale

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-04-16 08:33:22 UTC
A polite ping to Takeshi Abe: is this bug fixed? if so, could you
please close it as RESOLVED FIXED ? Thanks
Comment 7 Xisco Faulí 2018-05-29 09:27:47 UTC
(In reply to Xisco Faulí from comment #6)
> A polite ping to Takeshi Abe: is this bug fixed? if so, could you
> please close it as RESOLVED FIXED ? Thanks

Hi Takeshi Abe,
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 8 Yousuf Philips (jay) (retired) 2018-05-31 05:28:12 UTC
(In reply to Xisco Faulí from comment #7)
> Hi Takeshi Abe,
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

His change only modified fonts in UI_SANS (font used for the UI), but the font order in CJK_TEXT, CJK_HEADING, CJK_PRESENTATION, CJK_SPREADSHEET, UI_FIXED, FIXED, LATIN_PRESENTATION, LATIN_SPREADSHEET, and LATIN_FIXED also need to be modified.

What Takeshi mentioned in his commit message, "This addresses only part of the issue; another incoming change will take care of the rest."
Comment 9 Commit Notification 2019-08-20 06:26:55 UTC
AWASHIRO Ikuya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/686b3b5bfc8caac0d5db7c9845fafd32250281e2%5E%21

tdf#114751 Update default fonts for Japanese locale (cont.)

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.